Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.getgranite.ai/api/vm/api-keys \ --header 'Content-Type: application/json' \ --data ' { "key_label": "<string>", "prefix": "<string>", "description": "<string>" } '
{ "api_key": { "vm_api_key_id": "<string>", "key_label": "<string>", "status": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "key_prefix": "<string>", "key_last_four": "<string>", "last_used_at": "2023-11-07T05:31:56Z", "last_used_ip": "<string>", "machine_count": 0, "last_machine_seen_at": "2023-11-07T05:31:56Z" }, "plaintext_key": "<string>" }
Human-friendly name for the API key
Optional key prefix
Optional metadata description
Successful Response
Response containing the stored metadata and plaintext key.
Stored key metadata
Show child attributes
Plaintext API key (only returned once)